function res=affiche_ensemble03(X,cho,r,s,tpa)

% transforme un ensemble en chane de caractre pour Latex
%
% *********************************************************
%  res=affiche_ensemble03(X,cho,r,s,tpa) : transforme un ensemble de valeurs en chane
%  de caractre (pour affichage avec MaTeXBuild02, par exemple)
%
%  * Variables d'entres :
%     *  X :  tableau de n valeurs relles (numriques ou symboliques)
%  * Variables d'entres optionnelles (inutiles pour symboliques)
%     *  cho entier dans {1,2,3}
%     %  r,s entiers
%     %  Si cho=
%         1  : affichages des valeurs entires (r,s inutiliss)
%         gal  1 par dfaut
%         2  : affichage de chacune des valeurs avec r chiffres
%         significatifs minimum  crire et en notation scientifique
%         (virgule flottante) (s inutilis)
%         3  : affichage de chacune des valeurs avec r chiffres
%         significatifs minimum et s nombre de chiffres aprs la virgule et en
%         notation avec firgule fixe
%     * tpa entier (gal  0 par dfaut) :
%         * 0 : accolade entrante et sortante
%         * 1 : parenthse entrante et sortante
%         * 2 : crochet entrant et sortant
%         * si n'est pas entier, est une cellule contenant les deux signes
%           ouvrant et ferm.
%
% ATTENTION : par la suite, prvoir virgule franaise ?
%
% ************ Fonctions auxiliaires utilises ************
%
%    affiche_nombre03
%
% *********************************************************
%
% EXEMPLE : voir exemple_affiche.matex
%
% 2014 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr
%

if isempty(X)
    res=[];
else
    nin=nargin;
    if nin<=1|isempty(cho)
        cho=1;
    end
    if nin<=2|isempty(r)
        r=0;
    end
    if nin<=3|isempty(s)
        s=0;
    end
    if nin<=4|isempty(tpa)
        tpa=0;
    end
    n=length(X);
    if iscell(tpa)
        resl=tpa{1};
    else
        switch tpa
            case 0
                resl='\left\{';
            case 1
                resl='\left(';
            case 2
                resl='\left[';
        end
    end
    for i=1:n
        reslo=affiche_nombre03(X(i),cho,r,s);
        if i==n
            if iscell(tpa)
                resl=[resl,reslo,tpa{2}];
            else
                switch tpa
                    case 0
                        resl=[resl,reslo,'\right\}'];
                    case 1
                        resl=[resl,reslo,'\right)'];
                    case 2
                        resl=[resl,reslo,'\right]'];
                end
            end
        else
            resl=[resl,reslo,','];
        end
    end
    res=resl;
end